# windows_package type/provider #

This is the Package type/provider from Puppet 3.0 extracted from the 3.0
codebase and turned into a new type/provider for Puppet 2.7 called
"windows_package".  It is used in exactly the same way as the package type, but
only works on Windows and adds the additional package management functionality
available from the 'windows' package provider.

The big thing this provides is the ability to manage Windows packages that
don't have an MSI installer. windows_package is capable of handling arbitrary
EXE installers.

This module is only useful in the Puppet 2.7.x series. The functionality is
native to the package type in Puppet 3.x.

## Example Usage ##

  windows_package { 'Microsoft .NET Framework 4 Client Profile':
    ensure          => installed,
    source          => 'C:/dotNetFx40_Full_x86_x64.exe',
    install_options => ['/q', '/norestart'],
  }

  windows_package { '7-Zip':
    ensure  => installed,
    name    => '7-Zip 9.20 (x64 edition)',
    source  => 'C:\7z920-x64.msi',
  }

